function onTalk()
	disableMovement()
	if getFlag("gotEarthblade",true) then
		say("CC_Earthblade_PortalChooseLocation")
		local answer = choice("CC_Earthblade_Portal_RestingPlace","CC_Earthblade_Portal_BlastedWilds","CC_Earthblade_Portal_Wilds","CC_Earthblade_Portal_StayHere")
		if answer == 1 then -- Resting Place
			playSound("event:/char/oshiro/boss_enter_screen")
			playSound("event:/ui/main/rename_entry_space")
			setFlag("teleporting",true)
			wait(0.8)
			enableMovement()
			teleport(7288,-1848,"a-0")
		elseif answer == 2 then -- Blasted Wilds
			if getFlag("earthblade_heart") then
				playSound("event:/char/oshiro/boss_enter_screen")
				playSound("event:/ui/main/rename_entry_space")
				setFlag("teleporting",true)
				wait(0.8)
				enableMovement()
				teleport(6528,-624,"c-0")
				playMusic("event:/CrossoverCollab/Earthblade/Child_of_the_Earth",0)
			else
				say("CC_Earthblade_Portal_CantGoYetHeart")
				endCutscene()
			end
		elseif answer == 3 then -- Wilds
			if getFlag("Portal_Intro_Unlocked") then
				playSound("event:/char/oshiro/boss_enter_screen")
				playSound("event:/ui/main/rename_entry_space")
				setFlag("teleporting",true)
				wait(0.8)
				enableMovement()
				teleport(-10000,-192,"b-0")
			else
				say("CC_Earthblade_Portal_CantGoYetOtherSide")
				endCutscene()
			end
		else
			endCutscene()
		end
	else
		say("CC_Earthblade_PortalNotWorking")
	end
end

function onEnd()
	setFlag("teleporting",false)
	enableMovement()
end